Subject: Re: bug#69241: Fixed patch issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 18:46:45 +0200

> From: Daniel Pettersson <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 10 Mar 2024 15:28:21 +0100
> 
> As I have previously stated I am willing to take on the maintainer role
> for Jsonrpc.  

Thank you.  Should we reflect that in admin/MAINTAINERS?

> To grasp the scope of this issue, an adapter server sent 50 000
> messages. With `read-process-output-max' set to the platforms max, each
> of those messages where placed on `timer-list' in the same call to
> jsonrpc's filter function, which then had to be sorted as O(N^2)
> (calls to timer--time-less-p). 

I don't see where the list is sorted with the above behavior.  Can you
point out which code you allude to?